### Bash hooks in liveboot-init.d:

### 010-waitnet

. altboot-net-functions

### 100-overlayroot

case "$overlayroot" in
disabled|tmpfs)
	live_rw=0
	;;
'')
	live_rw=1
	;;
UUID=?*)
	[ ! -L "/dev/disk/by-uuid/${overlayroot#UUID=}" ] ||
		live_rw="/dev/disk/by-uuid/${overlayroot#UUID=}"
	;;
LABEL=?*)
	[ ! -L "/dev/disk/by-label/${overlayroot#LABEL=}" ] ||
		live_rw="/dev/disk/by-label/${overlayroot#LABEL=}"
	;;
/dev/?*)
	[ ! -b "$overlayroot" ] ||
		live_rw="$overlayroot"
	;;
esac

if [ "$live_rw" = 0 ]; then
	live_rw=
elif [ -n "$overlayroot" ] && [[ -z "$live_rw" || -n "$method" ]]; then
	message "overlayroot will be ignored: '$overlayroot'"
	overlayroot=
fi

### 400-liverw

# You can change defaults in /etc/sysconfig/bootchain
OEM_LIVE_STORAGE="${OEM_LIVE_STORAGE-}"
OEM_BAD_STORAGE="${OEM_BAD_STORAGE-}"

### 700-cifs

# You can change defaults in /etc/sysconfig/bootchain
OEM_CIFS_NETINST="${OEM_CIFS_NETINST:-/netinst}"

### 700-nfs

# You can change defaults in /etc/sysconfig/bootchain
OEM_NFS_NETINST="${OEM_NFS_NETINST:-/srv/public/netinst}"

